Bug 248091 - devel/codeblocks: 20.03 stable release is available
Summary: devel/codeblocks: 20.03 stable release is available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-19 05:38 UTC by gh_origin
Modified: 2020-08-01 07:49 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
codeblocks-20.03.diff (104.24 KB, patch)
2020-07-22 16:54 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
codeblocks-20.03.diff (26.09 KB, patch)
2020-07-22 17:35 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gh_origin 2020-07-19 05:38:28 UTC
CodeBlocks now has the 20.03 stable release for a while and the port still stuck at the previous stable version. The /devel/codeblocks port is no better, it's stuck at some nonexistent 18.04 version. Please update it.
Comment 1 gh_origin 2020-07-19 05:40:31 UTC
Upstream CodeBlocks build their binary using the wxGTK 3.1.3 version. We should do the same as them.
Comment 2 Loïc Bartoletti freebsd_committer 2020-07-22 16:54:43 UTC
Created attachment 216675 [details]
codeblocks-20.03.diff

Thanks for the information. I don't use it anymore and wasn't aware about a new release. Anyway, can you try this patch, please?
Comment 3 Loïc Bartoletti freebsd_committer 2020-07-22 16:55:59 UTC
Oh I forgot to use wxgtk30+
Comment 4 Loïc Bartoletti freebsd_committer 2020-07-22 17:35:37 UTC
Created attachment 216677 [details]
codeblocks-20.03.diff

Code::Blocks with wxGtk3.0+
Comment 5 commit-hook freebsd_committer 2020-08-01 07:47:48 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Aug  1 07:47:34 UTC 2020
New revision: 543895
URL: https://svnweb.freebsd.org/changeset/ports/543895

Log:
  devel/codeblocks: Update to 20.03

  - Update to 20.03
  - Use wxgtk3
  - Remove CXXFLAGS for clang

  PR:		248091
  Reported by:	gh_origin@yahoo.com

Changes:
  head/devel/codeblocks/Makefile
  head/devel/codeblocks/distinfo
  head/devel/codeblocks/pkg-plist
Comment 6 Loïc Bartoletti freebsd_committer 2020-08-01 07:49:10 UTC
Committed, thanks!